"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.15.2_patch_hash_jclkxeaefn6uz54h34k3r3yjsq_@mantine_hooks@7.15.2_react@18.3.1_szqfuioo5damkjdixckhzmwycq/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconCloudSnowing01 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M13.3334 10.1616C14.1374 9.62347 14.6667 8.70697 14.6667 7.66683C14.6667 6.10445 13.4724 4.82102 11.9469 4.67974C11.6348 2.78158 9.98655 1.3335 8.00004 1.3335C6.01354 1.3335 4.36525 2.78158 4.0532 4.67974C2.52771 4.82102 1.33337 6.10445 1.33337 7.66683C1.33337 8.70697 1.86272 9.62347 2.66671 10.1616M5.33337 10.0002H5.34004M5.33337 12.6668H5.34004M8.00004 11.3335H8.00671M8.00004 14.0002H8.00671M10.6667 10.0002H10.6734M10.6667 12.6668H10.6734",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconCloudSnowing01);
const CloudSnowing01 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "CloudSnowing01", props.className].join(" ")
    }
  );
});
CloudSnowing01.displayName = "IconCloudSnowing01";
exports.default = CloudSnowing01;
